/*
 * vars.h : variables for STonC.
 *
 * Copyright (c) 2001 Laurent Vogel.
 *
 * Authors:
 *  LVL   Laurent Vogel
 *
 * This file is distributed under the GPL, version 2 or at your
 * option any later version.  See doc/license.txt for details.
 */

#ifndef _VARS_H
#define _VARS_H
 
void var_init();
void declare_int_var(char *name, int *var, void (*notify)(int *));
void declare_var(char *name, char **var, void (*notify)(char **));

void set_var(char *name, char *value);
char *get_var(char *name);
int defined_var(char *name);
void unset_var(char *name);

#endif /* _VARS_H */
